import 'package:flutter/material.dart';
import 'package:flutter_screenutil/flutter_screenutil.dart';
import 'package:gap/gap.dart';
import 'package:tanami_app/core/styles/app_color.dart';
import 'package:tanami_app/core/styles/app_images.dart';
import 'package:tanami_app/core/styles/app_text.dart';
import 'package:tanami_app/shared/components/appbar_widget.dart';
import 'package:tanami_app/shared/components/text_widget.dart';

import '../widgets/bottom_section.dart';
import '../widgets/language_change_list.dart';

class LanguageChangeLayout extends StatelessWidget {
  const LanguageChangeLayout({super.key});

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      backgroundColor: AppColor.plainWhite,
      bottomNavigationBar: bottomSection(),
      appBar: const AppBarWidget(
        height: 75,
        titleTxt: AppText.languageText,
      ),
      body: Padding(
        padding: const EdgeInsets.all(16.0),
        child: Column(
          children: [
            const CountrySelectionList(),
            const Gap(24),
            Row(
              crossAxisAlignment: CrossAxisAlignment.start,
              children: [
                Image.asset(
                  width: 24,
                  height: 24,
                  AppImages.infoIcon,
                ),
                const Gap(8),
                SizedBox(
                  width: 0.8.sw,
                  child: TextWidget().text12W500(
                    AppText.changingTheLanguageWillReloadApp,
                    clr: AppColor.languageTextColor,
                  ),
                )
              ],
            )
          ],
        ),
      ),
    );
  }
}
